# download and extraction target dir
base-dir=/home/labra/DBPedia/WikipediaDumps

# Source file. If source file name ends with .gz or .bz2, it is unzipped on the fly. 
# Must exist in the directory xxwiki/yyyymmdd and have the prefix xxwiki-yyyymmdd-
# where xx is the wiki code and yyyymmdd is the dump date.
 
# default:
# source=pages-articles.xml

# alternatives:
# source=pages-articles.xml.bz2
# source=pages-articles.xml.gz

# use only directories that contain a 'download-complete' file? Default is false.
require-download-complete=true

# List of languages or article count ranges, e.g. 'en,de,fr' or '10000-20000' or '10000-', or '@mappings'
languages=hy

# unqualified extractor class names are prefixed by org.dbpedia.extraction.mappings.

extractors=ArticleCategoriesExtractor,CategoryLabelExtractor,ExternalLinksExtractor,\
GeoExtractor,InfoboxExtractor,InterLanguageLinksExtractor,LabelExtractor,PageIdExtractor,\
PageLinksExtractor,RedirectExtractor,RevisionIdExtractor,SkosCategoriesExtractor,\
WikiPageExtractor

extractors.hy=MappingExtractor

# if ontology and mapping files are not given or do not exist, download info from mappings.dbpedia.org
ontology=../ontology.xml
mappings=../mappings

# URI policies. Allowed flags: uri, generic, xml-safe. Each flag may have one of the suffixes
# -subjects, -predicates, -objects, -datatype, -context to match only URIs in a certain position. 
# Without a suffix, a flag matches all URI positions.

uri-policy.uri=uri:en; generic:en; xml-safe-predicates:*
uri-policy.iri=generic:en; xml-safe-predicates:*

# File formats. Allowed flags: n-triples, n-quads, turtle-triples, turtle-quads, trix-triples, trix-quads
# May be followed by a semicolon and a URI policy name. If format name ends with .gz or .bz2, files
# are zipped on the fly.

# NT is unreadable anyway - might as well use URIs for en
format.nt.gz=n-triples;uri-policy.uri
format.nq.gz=n-quads;uri-policy.uri

# Turtle is much more readable - use nice IRIs for all languages
format.ttl.gz=turtle-triples;uri-policy.iri
format.tql.gz=turtle-quads;uri-policy.iri
